x2gostartagent(8)

NAME
x2gostartagent - Start a New X2Go Session

SYNOPSIS
x2gostartagent <geometry> <link_quality> <nx_pack_meth> <cache_type+dpi> <kblayout> <kbtype> <setkbd> <session_type> <command>

DESCRIPTION
x2gostartagent coordinates the startup process of a new X2Go session. It expects quite a list of parameters, all of which are obligatory.

x2gostartagent is run with X2Go user privileges and normally executed by an X2Go client application.

ARGUMENTS

\FC<geometry>\F[]
    Session window size on screen (allowed values: <width>x<height> or fullscreen).

\FC<link_quality>\F[]
    Any value out of: modem, isdn, adsl, wan or lan.

\FC<nx_pack_method>\F[]
    NX compression method (see below for possible values).

\FC<cache_type+dpi>\F[]
    Cache type and color depth for X2Go session window. The most common value is: unix-kde-depth_24 where ,,24'' is the color depth in bit.

\FC<kblayout>\F[]
    Keyboard layout (e.g. us, de, etc.).

\FC<kbtype>\F[]
    Keyboard type/model (e.g. pc105/us).

\FC<setkbd>\F[]
    Force setting keyboard layout and type within the X2Go session on startup. Values: 0 or 1.

\FC<session_type>\F[]
    Allowed values for <session_type> are: D (desktop), R (rootless) or S (shadow session, X2Go desktop sharing).

\FC<command>\F[]
    The command given by the <command> argument is only used to create the session ID for this new X2Go session. The actual execution of a command is handled by x2goruncommand.

RETURN VALUES
A list of session attributes is returned after successful session startup. Session attributes will be presented on a line-by-line basis:
    <X_display_number>
    <session_cookie_hash>
    <agent_pid>
    <session_id>
    <graphics_port>
    <sound_port>
    <sshfs_port>

NX COMPRESSION METHODS
As NX compression methods (<link-quality> argument) the following values are possible. The % character must be replaced by a digit 0-9.

nopack, 8, 64, 256, 512, 4k, 32k, 64k, 256k, 2m, 16m 256-rdp, 256-rdp-compressed, 32k-rdp, 32k-rdp-compressed, 64k-rdp 64k-rdp-compressed, 16m-rdp, 16m-rdp-compressed rfb-hextile, rfb-tight, rfb-tight-compressed 8-tight, 64-tight, 256-tight, 512-tight, 4k-tight, 32k-tight 64k-tight, 256k-tight, 2m-tight, 16m-tight 8-jpeg-%, 64-jpeg, 256-jpeg, 512-jpeg, 4k-jpeg, 32k-jpeg 64k-jpeg, 256k-jpeg, 2m-jpeg, 16m-jpeg-% 8-png-jpeg-%, 64-png-jpeg, 256-png-jpeg, 512-png-jpeg, 4k-png-jpeg 32k-png-jpeg, 64k-png-jpeg, 256k-png-jpeg, 2m-png-jpeg, 16m-png-jpeg-% 8-png-%, 64-png, 256-png, 512-png, 4k-png 32k-png, 64k-png, 256k-png, 2m-png, 16m-png-% 16m-rgb-%, 16m-rle-%

SEE ALSO
x2goruncommand(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-session(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).